#include<iostream>
using namespace std;
int f(long long n)
{
    if(n==0)return 0;
    if(n%10==0)return f(n/10);
    if(n%10==1 || n%10==2 || n%10==5)return 1+f(n/10);
    if(n%10==8 || n%10==9)return 3+f(n/10);
    return 2+f(n/10);
}
int main()
{
    long long n;
    cin>>n;
    cout<<f(n);
}